For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Data Compliance
    • Overview
      • POSTDelete all data associated with a chatter's email address
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
Login
LogoLogo
Data ComplianceDelete Chatter Data

Delete all data associated with a chatter's email address

POST
/api/v1/data-subject-request
POST
/api/v1/data-subject-request
1import requests
2
3url = "https://example.ada.support/api/v1/data-subject-request"
4
5payload = { "type": "ERASURE" }
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "email": "chatter@email.com"
3}
Deletes all data associated with the provided chatter's email address linked to the bot. Replace `example` with your agent's handle. A successful call returns the chatter's email supplied (null if email field was not supplied) in the request whose data will be deleted from Ada's systems. In order to ensure emails are properly linked to a chatter record, ensure the capture block validation when capturing email is set to `@ Email.`<br><br> **Note for multiple participant emails:** If you are requesting data deletion for one chatter’s email address and they are a participant in a conversation that has multiple email participants (i.e., Email thread with additional recipients in CC), the entire transcript will be deleted for all participants.
Was this page helpful?
Previous

Data Export API

Overview
Next
Built with

Deletes all data associated with the provided chatter’s email address linked to the bot. Replace example with your agent’s handle. A successful call returns the chatter’s email supplied (null if email field was not supplied) in the request whose data will be deleted from Ada’s systems. In order to ensure emails are properly linked to a chatter record, ensure the capture block validation when capturing email is set to @ Email.

Note for multiple participant emails: If you are requesting data deletion for one chatter’s email address and they are a participant in a conversation that has multiple email participants (i.e., Email thread with additional recipients in CC), the entire transcript will be deleted for all participants.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
typeenumRequired
Type of data subject request. Must be set to ERASURE.
Allowed values:
emailstringOptional
Email of the chatter whose data you wish to delete from Ada's systems.
identifierslist of objectsOptional
List containing extra identifiers sent with the data subject request.

Response

The request was successfully ingested into Ada's system.
emailstring
Email of the chatter whose data you wish to delete from Ada's systems.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error